Arduino Mega and Smartthings Library issues

@jelloj1 Which version of the Arduino IDE are you using? v1.6.6 (current version, IIRC) has a bug in it which throws various compiler errors. Please use v1.6.5 (or possibly the latest “Hourly Build” of v1.6.7.)

v1.6.5 has been thoroughly tested with my ST_Anything project and my version of the ThingShield library. Please read the ReadMe thoroughly on my GitHub repository as it explains quite a bit about using a Mega 2560 with the ThingShield.